# Makefile.in generated by automake 1.6.3 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@
SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :

EXEEXT = @EXEEXT@
OBJEXT = @OBJEXT@
PATH_SEPARATOR = @PATH_SEPARATOR@
ALL_THEMES = @ALL_THEMES@
AMTAR = @AMTAR@
AWK = @AWK@
BUILD_MENUS = @BUILD_MENUS@
DEPDIR = @DEPDIR@
FT_BUILD_ID = @FT_BUILD_ID@
FT_DATADIR = @FT_DATADIR@
FT_FVWMFORM_DIR = @FT_FVWMFORM_DIR@
FT_FVWMSCRIPT_DIR = @FT_FVWMSCRIPT_DIR@
FT_LOCALE_DIR = @FT_LOCALE_DIR@
FT_VERSION_INFO = @FT_VERSION_INFO@
FVWM_BINDIR = @FVWM_BINDIR@
FVWM_CONFIG = @FVWM_CONFIG@
FVWM_DEFAULT_IMAGEPATH = @FVWM_DEFAULT_IMAGEPATH@
FVWM_DEFAULT_USERDIR = @FVWM_DEFAULT_USERDIR@
FVWM_M4 = @FVWM_M4@
FVWM_VERSION = @FVWM_VERSION@
GNOME_ICONS = @GNOME_ICONS@
GNOME_IMAGES_DIR = @GNOME_IMAGES_DIR@
GNOME_SESSION = @GNOME_SESSION@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDE2_ICONS = @KDE2_ICONS@
M4 = @M4@
MENU_SYSTEM_BINSCRIPTS = @MENU_SYSTEM_BINSCRIPTS@
MENU_SYSTEM_CONFIGDATA = @MENU_SYSTEM_CONFIGDATA@
MENU_SYSTEM_PREFIX = @MENU_SYSTEM_PREFIX@
MKFIFO = @MKFIFO@
PACKAGE = @PACKAGE@
PERL = @PERL@
REQUIRED_FVWM_VERSION = @REQUIRED_FVWM_VERSION@
REQUIRED_PERL_VERSION = @REQUIRED_PERL_VERSION@
ROOT_PREFIX = @ROOT_PREFIX@
RUN_UPDATEMENU = @RUN_UPDATEMENU@
SETTINGS_FILE = @SETTINGS_FILE@
STRIP = @STRIP@
TAR = @TAR@
UPDATE_MENU = @UPDATE_MENU@
VERSION = @VERSION@
XMESSAGE = @XMESSAGE@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@

EXTRA_THEMES = @EXTRA_THEMES@
EXTRA_DIST = docs dirs postinst postrm

version = @VERSION@
release = 0.`date +%Y%m%d`
cparams = --disable-run-updatemenu --disable-build-menus --with-fvwm-bindir=/usr/bin
mparams = CFLAGS="-O2"
datum = `date "+%a, %d %b %Y %T %z"`
fullname = FVWM Themes Developers
email = fvwm-themes-devel@lists.sourceforge.net
distdir = $(PACKAGE)-$(version)
tarball = $(distdir).tar.gz
DESTDIR = $(CURDIR)/debian/tmp
subdir = debian
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = full-control extra-control base-control
DIST_SOURCES =
DIST_COMMON = Makefile.am Makefile.in base-control.in extra-control.in \
	full-control.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  debian/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
full-control: $(top_builddir)/config.status full-control.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
extra-control: $(top_builddir)/config.status extra-control.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
base-control: $(top_builddir)/config.status base-control.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
uninstall-info-am:
tags: TAGS
TAGS:

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic uninstall uninstall-am uninstall-info-am

arch ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

this0:
	@if [ ! -d debian ]; then echo "Wrong working dir `pwd`"; exit -1; fi
	@if [ ! -f $(tarball) ]; then echo "No $(tarball)"; exit -1; fi
	$(AMTAR) -zxf $(tarball)
	@cd $(distdir); \
	if [ ! -d debian ]; then \
		cp -r $(top_srcdir)/debian ./; \
		echo "deb-inplace:" >>Makefile.in; \
		echo '  $$==(MAKE) -f debian/Makefile $$==(AM_MAKEFLAGS) inplace' | tr -d = >>Makefile.in; \
		ls `cat debian/docs` >debian/docs-tmp 2>/dev/null && \
		rm -f debian/docs-tmp || mv debian/docs-tmp debian/docs; \
	fi; \
	echo ""; \
	echo "==== Creating deb from $(tarball), release $(release) ===="; \
	echo ""; \
	sleep 3; \
	./configure $(cparams); \
	$(MAKE) $(AM_MAKEFLAGS) $(deb_target)
	-rm -rf $(distdir)

this: deb_target = deb-inplace
this: this0

this-base: deb_target = deb-inplace-base
this-base: this0

this-extra: deb_target=deb-inplace-extra
this-extra: this0

inplace:
	@if [ ! -d debian ]; then echo "Wrong working dir `pwd`"; exit -1; fi
	$(MAKE) clean
	echo "fvwm-themes-full ($(version)-$(release)) unstable; urgency=low" > debian/changelog
	echo "" >> debian/changelog
	echo "  * new upstream release" >> debian/changelog
	echo "" >> debian/changelog
	echo " -- $(fullname) <$(email)>  $(datum)" >> debian/changelog
	./configure --prefix=/usr --mandir=/usr/share/man $(cparams)
	cp -f debian/full-control debian/control
	fakeroot dh_clean
	(cd  .. && dpkg-source -b $(CURDIR))
	fakeroot dh_testdir
	fakeroot dh_testroot
	$(MAKE) $(mparams)
	$(MAKE) prefix=$(DESTDIR)/usr ROOT_PREFIX=$(DESTDIR) mandir=$(DESTDIR)/usr/share/man install
	chmod 0644 $(DESTDIR)/usr/share/fvwm/themes/cde/background/pattern
	fakeroot dh_testdir
	fakeroot dh_testroot
	fakeroot dh_installchangelogs
	fakeroot dh_installdocs
	fakeroot dh_installmenu
	fakeroot dh_link
	fakeroot dh_strip
	fakeroot dh_compress
	fakeroot dh_fixperms
	fakeroot dh_perl
	fakeroot dh_installdeb
	fakeroot dh_shlibdeps
	fakeroot dh_gencontrol
	fakeroot dh_md5sums
	fakeroot dh_builddeb
	-dpkg-genchanges > ../fvwm-themes-full_$(version)-$(release)_$(arch).changes
	-debsign ../fvwm-themes-full_$(version)-$(release)_$(arch).changes
	fakeroot dh_clean
	rm -f debian/control debian/full-control

inplace-base:
	$(MAKE) clean
	echo "fvwm-themes ($(version)-$(release)) unstable; urgency=low" > debian/changelog
	echo "" >> debian/changelog
	echo "  * new upstream release" >> debian/changelog
	echo "" >> debian/changelog
	echo " -- $(fullname) <$(email)>  $(datum)" >> debian/changelog
	./configure --prefix=/usr --mandir=/usr/share/man $(cparams)
	cp -f debian/base-control debian/control
	fakeroot dh_clean
	(cd .. && dpkg-source -b $(CURDIR))
	fakeroot dh_testdir
	fakeroot dh_testroot
	$(MAKE) $(mparams)
	$(MAKE) prefix=$(DESTDIR)/usr ROOT_PREFIX=$(DESTDIR) mandir=$(DESTDIR)/usr/share/man install
	@for t in $(EXTRA_THEMES); do \
		rm -r $(DESTDIR)/usr/share/fvwm/themes/$$t ; \
	done
	chmod 0644 $(DESTDIR)/usr/share/fvwm/themes/cde/background/pattern
	fakeroot dh_testdir
	fakeroot dh_testroot
	fakeroot dh_installchangelogs
	fakeroot dh_installdocs
	fakeroot dh_installmenu
	fakeroot dh_link
	fakeroot dh_strip
	fakeroot dh_compress
	fakeroot dh_fixperms
	fakeroot dh_perl
	fakeroot dh_installdeb
	fakeroot dh_shlibdeps
	fakeroot dh_gencontrol
	fakeroot dh_md5sums
	fakeroot dh_builddeb
	-dpkg-genchanges > ../fvwm-themes_$(version)-$(release)_$(arch).changes
	-debsign ../fvwm-themes_$(version)-$(release)_$(arch).changes
	fakeroot dh_clean
	rm -f debian/control debian/base-control

inplace-extra:
	$(MAKE) clean
	echo "fvwm-themes-extra ($(version)-$(release)) unstable; urgency=low" > debian/changelog
	echo "" >> debian/changelog
	echo "  * new upstream release" >> debian/changelog
	echo "" >> debian/changelog
	echo " -- $(fullname) <$(email)>  $(datum)" >> debian/changelog
	cp -f debian/extra-control debian/control
	fakeroot dh_clean
	(cd .. && dpkg-source -b $(CURDIR))
	fakeroot dh_testdir
	fakeroot dh_testroot
	-[ -d $(DESTDIR) ] || mkdir  $(DESTDIR)
	-[ -d $(DESTDIR)/usr ] || mkdir $(DESTDIR)/usr
	-[ -d $(DESTDIR)/usr/share ] || mkdir $(DESTDIR)/usr/share
	-[ -d $(DESTDIR)/usr/share/fvwm ] || mkdir $(DESTDIR)/usr/share/fvwm
	-[ -d $(DESTDIR)/usr/share/fvwm/themes ] || mkdir $(DESTDIR)/usr/share/fvwm/themes
	-[ -d $(DESTDIR)/DEBIAN ] || mkdir $(DESTDIR)/DEBIAN
	-@for t in $(EXTRA_THEMES); do \
		cp -r themes/$$t $(DESTDIR)/usr/share/fvwm/themes/; \
	done
	fakeroot dh_testdir
	fakeroot dh_testroot
	fakeroot dh_installchangelogs
	fakeroot dh_installdocs
	fakeroot dh_installmenu
	fakeroot dh_link
	fakeroot dh_strip
	fakeroot dh_compress
	fakeroot dh_fixperms
	fakeroot dh_perl
	fakeroot dh_installdeb
	fakeroot dh_shlibdeps
	fakeroot dh_gencontrol
	fakeroot dh_md5sums
	-rm $(DESTDIR)/DEBIAN/postinst
	-rm $(DESTDIR)/DEBIAN/postrm
	fakeroot dh_builddeb
	-dpkg-genchanges > ../fvwm-themes-extra_$(version)-$(release)_$(arch).changes
	-debsign  ../fvwm-themes-extra_$(version)-$(release)_$(arch).changes
	fakeroot dh_clean
	rm -f debian/control debian/extra-control
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
